View Issue Details

IDProjectCategoryView StatusLast Update
0002093SOGoWeb Calendarpublic2012-11-19 14:20
Reporterryacketta Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.2 
Target Version2.0.3Fixed in Version2.0.3 
Summary0002093: Add X-WR-CALNAME to VCALENDAR for subscribe / export
Description

Currently when exporting / subscribing to a calendar their is no X-WR-CALNAME record. Most 3rd party applications / tools (IE: phpicalendar) will either assume the calendar name or use the basename minus the .ics extension.

Subscribing or export a calendar with a URL of https://devcal.potsdam.edu/SOGo/dav/public/testmonkey/Calendar/6504-4FD0E580-1-389A65C0.ics results in a ICS similar to

BEGIN:VCALENDAR
METHOD:PUBLISH
VERSION:2.0
PRODID:-//Inverse inc./SOGo 2.0.2//EN
BEGIN:VTIMEZONE
TZID:America/New_York
X-LIC-LOCATION:America/New_York
BEGIN:DAYLIGHT
TZOFFSETFROM:-0500
TZOFFSETTO:-0400
TZNAME:EDT
DTSTART:19700308T020000
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=2SU
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:-0400
TZOFFSETTO:-0500
TZNAME:EST
DTSTART:19701101T020000
RRULE:FREQ=YEARLY;BYMONTH=11;BYDAY=1SU
END:STANDARD
END:VTIMEZONE
....

When used with phpicalendar (for example) will result in a calendar named 6504-4FD0E580-1-389A65C0, if X-WR-CALNAME was added to the export then the calendar would take that name instead.

TagsNo tags attached.

Activities

Christian Mack

Christian Mack

2012-11-08 08:23

developer   ~0004798

removed obsolete Z character in the subject, in order to allow searches after "calendar" to succeed.

ludovic

ludovic

2012-11-19 14:20

administrator   ~0004924

Fixed: https://github.com/inverse-inc/sogo/commit/a1d092cab0b0c02b437c640ee7446a5aa5272bee

Issue History

Date Modified Username Field Change
2012-11-05 15:44 ryacketta New Issue
2012-11-08 08:23 Christian Mack Note Added: 0004798
2012-11-08 08:23 Christian Mack Summary Add X-WR-CALNAME to VCAZLENDAR for subscribe / export => Add X-WR-CALNAME to VCALENDAR for subscribe / export
2012-11-19 14:19 ludovic Target Version => 2.0.3
2012-11-19 14:20 ludovic Note Added: 0004924
2012-11-19 14:20 ludovic Status new => closed
2012-11-19 14:20 ludovic Resolution open => fixed
2012-11-19 14:20 ludovic Fixed in Version => 2.0.3